Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002391Zandronum[All Projects] Bugpublic2015-08-09 17:092016-12-28 19:14
Reporterunknownna 
Assigned ToEdward-san 
PrioritylowSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0002391: "1 ally left" message turns into "last player alive" during death state even when more players are alive
DescriptionSee attached screenshot.
Attached Filespng file icon Screenshot_Doom_20150809_190643.png [^] (179,289 bytes) 2015-08-09 17:09

- Relationships
related to 0002384resolvedEdward-san "spectating - waiting to respawn" says "spectating - space to join" when coop spying 

-  Notes
User avatar (0013169)
Edward-san (developer)
2015-08-09 18:47

https://bitbucket.org/crimsondusk/zandronum-sandbox-stable/commits/d39761d32057c9311815527e9a8e875691f95f62 [^] should fix the issue for survival.
User avatar (0013170)
WaTaKiD (updater)
2015-08-09 18:56

this build contains the above commit:https://www.dropbox.com/s/k0yv273xlop3urq/zandronum-2.2-r150809-1845-d39761d-windows.zip?dl=0 [^]
User avatar (0013171)
unknownna (updater)
2015-08-09 19:11
edited on: 2015-08-09 19:11

It works, but it needs to be adapted to (Team)LMS as well.

User avatar (0013172)
WaTaKiD (updater)
2015-08-09 19:25

i have not tested, but since this involves lives, wut about survival invasion?
User avatar (0013174)
unknownna (updater)
2015-08-09 19:32

Hmm, the "x ally left" message is absent in survival invasion.
User avatar (0013176)
Edward-san (developer)
2015-08-09 21:40

https://bitbucket.org/crimsondusk/zandronum-sandbox-stable/commits/71520fbb8fa3b613211cea878cadab157f00f873 [^] should fix the Team LMS issue as well. I'll fix the survival invasion in the new ticket.
User avatar (0013179)
WaTaKiD (updater)
2015-08-09 22:12

this build contains the above commit:https://www.dropbox.com/s/ylr3eoowft6y022/zandronum-2.2-r150809-2130-71520fb-windows.zip?dl=0 [^]
User avatar (0013190)
unknownna (updater)
2015-08-10 13:28
edited on: 2015-08-10 13:28

It works in team-LMS, but it's still broken in regular LMS.

User avatar (0013195)
Edward-san (developer)
2015-08-10 14:03
edited on: 2015-08-10 14:08

AFAIR, regular LMS has no concept of 'allies', because every player is considered as enemies, so the only valid message would be the number of opponents left.

User avatar (0013197)
unknownna (updater)
2015-08-10 14:29
edited on: 2015-08-10 14:32

Yeah, indeed. It needs to be adapted for "opponents" as well. The "opponents" part works properly in team-LMS though.

User avatar (0013198)
Edward-san (developer)
2015-08-10 15:47
edited on: 2015-08-10 16:02

Technically it could be something to report aside, but I'll fix it anyway.

[edit] fixed inhttps://bitbucket.org/crimsondusk/zandronum-sandbox-stable/commits/24e58338ada5faa22f1f74b69f4a6b98cb4f4817 [^]

User avatar (0013202)
WaTaKiD (updater)
2015-08-10 16:19

this build contains the above commit:https://www.dropbox.com/s/ghj93chy782b6it/zandronum-2.2-r150810-1600-24e5833-windows.zip?dl=0 [^]
User avatar (0015972)
unknownna (updater)
2016-10-14 00:08

It seems that I forgot about this one. Anyway, the build above fixes the issue in LMS.
User avatar (0015981)
Edward-san (developer)
2016-10-14 09:11

I decided to make the fix directly in 3.0, since this way I could also remove some unnecessary functions. This changeset:https://bitbucket.org/zandronum/zandronum-sandbox/commits/023c97d4e3a2096aa7175edc828c2e65994118a6 [^] should fix both this ticket and 0002394. Also, this change fixes also missing allies/enemies left in custom gamemodes with dead spectators.

When the build is ready, can you check that everything still works fine?
User avatar (0015997)
WaTaKiD (updater)
2016-10-14 19:00

this 3.0 build contains the above commit: https://www.dropbox.com/s/uodxu0l152b3rkt/zandronum-3.0-r161014-0906-023c97d-windows.zip?dl=0 [^]
User avatar (0016006)
unknownna (updater)
2016-10-15 11:15
edited on: 2016-10-15 11:35

Quote from Edward-san
Also, this change fixes also missing allies/enemies left in custom gamemodes with dead spectators.

Can you elaborate what you mean by this? Is this for survival invasion? In that case it seems to work well. The only difference being that the ally counter is displayed during wave countdowns as players are able to die and lose lives during the countdowns, which IMO is a design flaw with the gamemode itself.

I tested the other modes as well and it seems that everything still works fine.

Edit:

It's broken if somebody spectates. The amount of allies/opponents is not updated then.

User avatar (0016011)
Edward-san (developer)
2016-10-15 12:32

Quote from unknownna
It's broken if somebody spectates. The amount of allies/opponents is not updated then.


Does it happen with all the gamemodes?
User avatar (0016012)
unknownna (updater)
2016-10-15 12:40
edited on: 2016-10-15 12:44

Yes. It happens in all the modes with lives in them.

* Survival
* LMS
* TeamLMS
* Survival Invasion

However, this also seems to happen in 2.1.2 and thus might be a separate issue.

User avatar (0016013)
Edward-san (developer)
2016-10-15 13:10
edited on: 2016-10-15 13:25

Can confirm it happens in 2.1. If nothing regresses, then it's going to be ready for review.

[edit] Actually I managed to fix this, too, with this changeset:https://bitbucket.org/zandronum/zandronum-sandbox/commits/65f9f5ef1601cad72860f249c044798577179a64 [^] .

User avatar (0016015)
WaTaKiD (updater)
2016-10-15 14:33

this 3.0 build contains the above commits: https://www.dropbox.com/s/tb1smrfm2j8lt0l/zandronum-3.0-r161015-1323-65f9f5e-windows.zip?dl=0 [^]
User avatar (0016016)
unknownna (updater)
2016-10-15 16:03
edited on: 2016-10-15 16:09

Thanks for the builds as usual, WaTaKiD.

It seems to have fixed all of the issues. One very minor issue left is that a player coop spying on someone else while suiciding/dying won't have the ally/opponent counter "frozen" while dying. It works properly however when you're a spectator or when you coop spy on another suiciding/dying player. That's all I believe.

Actually, I think it works 100% right now, I just got a bit confused. It should of course update the counter when coop spying on someone else while dying, since the counter is from the other player's perspective.

User avatar (0016019)
Edward-san (developer)
2016-10-15 22:19

Thanks for checking! This is ready for review, so here's the new pull request:https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/154/fixed-the-inconsistent-missing-number-of/diff [^] .
User avatar (0016024)
Torr Samaho (administrator)
2016-10-16 16:33

The patch looks good except for a minor efficiency issue. Please see my comment on bitbucket.
User avatar (0016028)
Edward-san (developer)
2016-10-16 21:57

Updated.
User avatar (0016084)
Edward-san (developer)
2016-10-23 14:49

Added to 3.0 upstream with this changeset:https://bitbucket.org/Torr_Samaho/zandronum/commits/0442ec91a6090ad4f7513a42b386a722c91e7e7f [^]
User avatar (0016563)
Ru5tK1ng (updater)
2016-12-28 19:14

Fix works and the counter updates correctly when your ally spectates or dies.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-08-09 17:09 unknownna New Issue
2015-08-09 17:09 unknownna File Added: Screenshot_Doom_20150809_190643.png
2015-08-09 17:09 unknownna Status new => confirmed
2015-08-09 17:10 unknownna Relationship added related to 0002384
2015-08-09 18:47 Edward-san Note Added: 0013169
2015-08-09 18:47 Edward-san Assigned To => Edward-san
2015-08-09 18:47 Edward-san Status confirmed => feedback
2015-08-09 18:56 WaTaKiD Note Added: 0013170
2015-08-09 19:11 unknownna Note Added: 0013171
2015-08-09 19:11 unknownna Status feedback => assigned
2015-08-09 19:11 unknownna Note Edited: 0013171 View Revisions
2015-08-09 19:25 WaTaKiD Note Added: 0013172
2015-08-09 19:32 unknownna Note Added: 0013174
2015-08-09 21:40 Edward-san Note Added: 0013176
2015-08-09 22:12 WaTaKiD Note Added: 0013179
2015-08-09 22:14 Edward-san Status assigned => feedback
2015-08-10 13:28 unknownna Note Added: 0013190
2015-08-10 13:28 unknownna Status feedback => assigned
2015-08-10 13:28 unknownna Note Edited: 0013190 View Revisions
2015-08-10 14:03 Edward-san Note Added: 0013195
2015-08-10 14:08 Edward-san Note Edited: 0013195 View Revisions
2015-08-10 14:08 Edward-san Note Edited: 0013195 View Revisions
2015-08-10 14:29 unknownna Note Added: 0013197
2015-08-10 14:32 unknownna Note Edited: 0013197 View Revisions
2015-08-10 14:32 unknownna Note Edited: 0013197 View Revisions
2015-08-10 15:47 Edward-san Note Added: 0013198
2015-08-10 16:02 Edward-san Note Edited: 0013198 View Revisions
2015-08-10 16:19 WaTaKiD Note Added: 0013202
2016-10-14 00:08 unknownna Note Added: 0015972
2016-10-14 09:11 Edward-san Note Added: 0015981
2016-10-14 09:11 Edward-san Status assigned => feedback
2016-10-14 19:00 WaTaKiD Note Added: 0015997
2016-10-15 11:15 unknownna Note Added: 0016006
2016-10-15 11:15 unknownna Status feedback => assigned
2016-10-15 11:27 unknownna Note Edited: 0016006 View Revisions
2016-10-15 11:28 unknownna Note Edited: 0016006 View Revisions
2016-10-15 11:33 unknownna Note Edited: 0016006 View Revisions
2016-10-15 11:34 unknownna Note Edited: 0016006 View Revisions
2016-10-15 11:35 unknownna Note Edited: 0016006 View Revisions
2016-10-15 12:32 Edward-san Note Added: 0016011
2016-10-15 12:32 Edward-san Status assigned => feedback
2016-10-15 12:40 unknownna Note Added: 0016012
2016-10-15 12:40 unknownna Status feedback => assigned
2016-10-15 12:44 unknownna Note Edited: 0016012 View Revisions
2016-10-15 13:10 Edward-san Note Added: 0016013
2016-10-15 13:25 Edward-san Note Edited: 0016013 View Revisions
2016-10-15 13:25 Edward-san Status assigned => feedback
2016-10-15 14:33 WaTaKiD Note Added: 0016015
2016-10-15 16:03 unknownna Note Added: 0016016
2016-10-15 16:03 unknownna Status feedback => assigned
2016-10-15 16:05 unknownna Note Edited: 0016016 View Revisions
2016-10-15 16:07 unknownna Note Edited: 0016016 View Revisions
2016-10-15 16:09 unknownna Note Edited: 0016016 View Revisions
2016-10-15 22:19 Edward-san Note Added: 0016019
2016-10-15 22:19 Edward-san Status assigned => needs review
2016-10-16 16:33 Torr Samaho Note Added: 0016024
2016-10-16 16:33 Torr Samaho Status needs review => feedback
2016-10-16 21:57 Edward-san Note Added: 0016028
2016-10-16 21:57 Edward-san Status feedback => needs review
2016-10-23 14:49 Edward-san Note Added: 0016084
2016-10-23 14:49 Edward-san Status needs review => needs testing
2016-12-28 19:14 Ru5tK1ng Note Added: 0016563
2016-12-28 19:14 Ru5tK1ng Status needs testing => resolved
2016-12-28 19:14 Ru5tK1ng Resolution open => fixed
2016-12-28 19:14 Ru5tK1ng Fixed in Version => 3.0
2016-12-28 19:14 Ru5tK1ng Target Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker